using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Runtime.InteropServices;

namespace GAMSSample
{
	public partial class Form1 : Form
	{

		public Form1()
		{
			InitializeComponent();
			
		}

        [StructLayout(LayoutKind.Sequential)]
        public struct MARGINS
        {
            public int cxLeftWidth;
            public int cxRightWidth;
            public int cxTopHeight;
            public int cxBottomHeight;
        }

        [DllImport("dwmapi.dll", PreserveSig = false)]
        public static extern void DwmExtendFrameIntoClientArea(IntPtr hwnd, ref MARGINS margins);

        [DllImport("dwmapi.dll", PreserveSig = false)]
        public static extern bool DwmIsCompositionEnabled();

        private MARGINS margins = new MARGINS();


		private void Form1_Load(object sender, EventArgs e)
		{
            this.ultraTree1.ExpandAll();

            //margins.cxBottomHeight = 0;
            //margins.cxLeftWidth = 0;
            //margins.cxRightWidth = 0;
            //margins.cxTopHeight = 73;

            //DwmExtendFrameIntoClientArea(this.Handle, ref margins);
 
        
        }

        protected override void OnPaintBackground(PaintEventArgs e)
        {
            base.OnPaintBackground(e);
            if (DwmIsCompositionEnabled())
            {
                //Paint background to Black (Will allow for Glass)
                e.Graphics.Clear(Color.Black);

                Rectangle clientArea = new Rectangle(
                                margins.cxLeftWidth,
                                margins.cxTopHeight,
                                this.ClientRectangle.Width - margins.cxLeftWidth - margins.cxRightWidth,
                                this.ClientRectangle.Height - margins.cxTopHeight - margins.cxBottomHeight
                            );

                Brush b = new SolidBrush(this.BackColor);
                e.Graphics.FillRectangle(b, clientArea);

            }
        }


		private void ultraButton1_Click(object sender, EventArgs e)
		{
            this.appStylistRuntime1.ShowRuntimeApplicationStylingEditor(this, "AppStylist"); 
		}

		private void ultraButton1_Click_1(object sender, EventArgs e)
		{
			
		}

        private void ultraLabel15_Click(object sender, EventArgs e)
        {
            Infragistics.Win.AppStyling.StyleManager.Load("..//..//Black.isl");
        }

        private void ultraLabel16_Click(object sender, EventArgs e)
        {
            Infragistics.Win.AppStyling.StyleManager.Load("..//..//OrangeMain.isl");
        }

        private void ultraLabel17_Click(object sender, EventArgs e)
        {
            Infragistics.Win.AppStyling.StyleManager.Load("..//..//GreenMain.isl");
        }
	}
}